import 'package:get/get.dart';
import 'package:tone_snap/components/view_state_widget.dart';
import 'package:tone_snap/data/models/music_model.dart';

class ArtistsController extends GetxController {
  static ArtistsController get to => Get.find<ArtistsController>();
  var viewState = ViewState.loading.obs;
  var artistsList = <MusicModel>[].obs;

  @override
  void onReady() {
    super.onReady();
    viewState.value = artistsList.isNotEmpty ? ViewState.normal : ViewState.empty;
  }

  void onTapItem(MusicModel model) {

  }

  void refreshList() {
  }
}
